//获取应用实例
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    playUrl: '',
  },
  playStream: function() {
    var self = this
    // wx.createLivePlayerContext("player").stop();

    // setTimeout(() => {
      wx.createLivePlayerContext("player").play({
        success: function(){
          console.log('+++拉流成功, 拉流地址：', self.data.playUrl);
        },
        fail: function(e){
          console.log('+++拉流失败， ', e);
        },
        complete: function(){
          console.log('+++拉流完成， ');
        }
      })
    // }, 1000);
  },
  onPlayStatus: function(e) {
    console.log(new Date(), "=========play status start===============");
    console.log(new Date(), "videoBitrate:", e.detail.info.videoBitrate, "kbps");
    console.log("videoFPS:", e.detail.info.videoFPS, "帧");
    console.log("resolution:", e.detail.info.videoWidth, "x", e.detail.info.videoHeight);
    console.log("audioBitrate:", e.detail.info.audioBitrate, "kbps");
    console.log("网络抖动情况:", e.detail.info.netJitter);
    console.log("=========play status end===============");
  },
  onPlayEvent: function(error) {
    var self = this;
    if (error.detail.code < 0) {
      console.error('+++onPlayEvent(),拉流失败:', error.detail.code + "," + error.detail.message);
      if(error.detail.code == "-2301"){ //网络断连，且经多次重连抢救无效，更多重试请自行重启播放
        var playerContext = wx.createLivePlayerContext("player");
        playerContext.play();
        console.log('+++onPlayEvent(),拉流失败,已经重启播放');
      }
    } else {
      console.log('拉流情况:', error.detail.code + "," + error.detail.message);
    }
  },
  onInput: function(e){
    console.log(e.detail.value)
    this.data.playUrl = e.detail.value
  },
  backToLastPage() {
    wx.navigateBack({
      delta: 1,
    })
  },
  onBindaudiovolumenotify: function(e) {
    console.log(new Date(), "=========播放音量大小通知===============, volume: ", e.detail.volume);
  },
  rePlayStream: function() {
    wx.createLivePlayerContext('player').stop()
    wx.showToast({
      title: '停止拉流成功，开始重新拉流',
    })
    // setTimeout(() => {
      wx.createLivePlayerContext('player').play({
        success(){
          console.log('+++重新拉流成功');
          wx.showToast({
            title: '重新拉流成功，请等待',
          })
          setTimeout(function() {
            wx.hideToast()
          }, 2000)
        },
        fail(err){
          console.log('+++重新拉流失败,', err);
          wx.showToast({
            title: '重新拉流失败',
          })
          setTimeout(function() {
            wx.hideToast()
          }, 2000)
        }
      })
    // }, 1000);
  },
  onLoad: function(option){
    console.log(new Date(), '++++++测试拉流，流地址: ', option)
    this.setData({
      playUrl: option.url
    })
    // this.playStream()
  }
})